--- old/usr/src/cmd/svc/milestone/restarter.xml	2016-06-30 22:01:39.775813439 -0400
+++ new/usr/src/cmd/svc/milestone/restarter.xml	2016-06-30 22:01:39.804103995 -0400
@@ -657,6 +657,22 @@
 				<cardinality min='1' max='1'/>
 			</prop_pattern>
 
+			<prop_pattern name='security_flags' type='astring'
+			    required='false'>
+				<common_name>
+					<loctext xml:lang='C'>
+method credential security flags
+					</loctext>
+				</common_name>
+				<description>
+					<loctext xml:lang='C'>
+An optional string specifying the security flags as defined in security-flags(5).
+					</loctext>
+				</description>
+				<cardinality min='1' max='1'/>
+				<internal_separators>,</internal_separators>
+			</prop_pattern>
+
 			<!-- method_credential properties -->
 			<prop_pattern name='user' type='astring'
 			    required='false'>
@@ -749,7 +765,7 @@
 			    required='false'>
 				<common_name>
 					<loctext xml:lang='C'>
-method profile RBAC profile specification 
+method profile RBAC profile specification
 					</loctext>
 				</common_name>
 				<description>
@@ -904,6 +920,22 @@
 				<cardinality min='1' max='1'/>
 			</prop_pattern>
 
+			<prop_pattern name='security_flags' type='astring'
+			    required='false'>
+				<common_name>
+					<loctext xml:lang='C'>
+method credential security flags
+					</loctext>
+				</common_name>
+				<description>
+					<loctext xml:lang='C'>
+An optional string specifying the security flags as defined in security-flags(5).
+					</loctext>
+				</description>
+				<cardinality min='1' max='1'/>
+				<internal_separators>,</internal_separators>
+			</prop_pattern>
+
 			<!-- method_credential properties -->
 			<prop_pattern name='user' type='astring'
 			    required='false'>
@@ -996,7 +1028,7 @@
 			    required='false'>
 				<common_name>
 					<loctext xml:lang='C'>
-method profile RBAC profile specification 
+method profile RBAC profile specification
 					</loctext>
 				</common_name>
 				<description>
@@ -1150,6 +1182,21 @@
 				</description>
 				<cardinality min='1' max='1'/>
 			</prop_pattern>
+			<prop_pattern name='security_flags' type='astring'
+			    required='false'>
+				<common_name>
+					<loctext xml:lang='C'>
+method security flags
+					</loctext>
+				</common_name>
+				<description>
+					<loctext xml:lang='C'>
+An optional string specifying the security flags as defined in security-flags(5).
+					</loctext>
+				</description>
+				<cardinality min='1' max='1'/>
+				<internal_separators>,</internal_separators>
+			</prop_pattern>
 
 			<!-- method_credential properties -->
 			<prop_pattern name='user' type='astring'
@@ -1243,7 +1290,7 @@
 			    required='false'>
 				<common_name>
 					<loctext xml:lang='C'>
-method profile RBAC profile specification 
+method profile RBAC profile specification
 					</loctext>
 				</common_name>
 				<description>
